Foros del Web » Programando para Internet » PHP »

mysql+php 5

Estas en el tema de mysql+php 5 en el foro de PHP en Foros del Web. ¿Cómo configuro el soporte a mysql en php5? Gracias y saludos...
  #1 (permalink)  
Antiguo 17/11/2004, 05:36
 
Fecha de Ingreso: enero-2002
Ubicación: Graná
Mensajes: 646
Antigüedad: 15 años, 11 meses
Puntos: 0
mysql+php 5

¿Cómo configuro el soporte a mysql en php5? Gracias y saludos
  #2 (permalink)  
Antiguo 17/11/2004, 07:31
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
Y .. que versión de Mysql exactamente? y .. sobre que Sistema Operativo: Windows, linux?

Un saludo,
  #3 (permalink)  
Antiguo 17/11/2004, 16:36
 
Fecha de Ingreso: enero-2002
Ubicación: Graná
Mensajes: 646
Antigüedad: 15 años, 11 meses
Puntos: 0
Mysql 4.0 o 4.1 y Windows XP
  #4 (permalink)  
Antiguo 18/11/2004, 01:49
Avatar de living  
Fecha de Ingreso: mayo-2004
Mensajes: 1.266
Antigüedad: 13 años, 6 meses
Puntos: 2
Lo primero es abrir el fichero php.ini y descomentar la línea (quitar el ; que aparece al principio)

;extension=php_mysql.dll

Después copia el fichero "libmysql.dll" que se encuentra en "c:\php\ext" al directorio "c:\windows\system32".

Reinicias el apache y debería funcionarte.
__________________
¿Te apasiona el mundo del guión? El portal del guión
  #5 (permalink)  
Antiguo 19/11/2004, 01:46
 
Fecha de Ingreso: enero-2002
Ubicación: Graná
Mensajes: 646
Antigüedad: 15 años, 11 meses
Puntos: 0
Estoy usando IIS y no hay ningún fichero libmysql.dll en php\ext. Un saludo
  #6 (permalink)  
Antiguo 19/11/2004, 02:03
Avatar de jhonwilliams  
Fecha de Ingreso: marzo-2004
Ubicación: Copacabana - Colombia
Mensajes: 1.484
Antigüedad: 13 años, 9 meses
Puntos: 76
no e usado el php5, pero cuando monte php y mysql lo hice con apache, tuve que desabilitar el servicio de IIS ya que los dos no corren al tiempo, ademas lo tengo en Windows 2000 server
  #7 (permalink)  
Antiguo 19/11/2004, 02:22
Avatar de living  
Fecha de Ingreso: mayo-2004
Mensajes: 1.266
Antigüedad: 13 años, 6 meses
Puntos: 2
Tienes toda la razón, el fichero está en c:\php (o donde lo hayas instalado), siento la confusión
__________________
¿Te apasiona el mundo del guión? El portal del guión
  #8 (permalink)  
Antiguo 19/11/2004, 02:51
Avatar de JALF  
Fecha de Ingreso: septiembre-2004
Ubicación: Cali - Colombia
Mensajes: 634
Antigüedad: 13 años, 3 meses
Puntos: 2
Hola que tal aviana!!!

pues yo utilizo MySQL 4.1.7 y PHP 5 en XP y pues para conectar eso, utilizo las librerias " mysqli ", puesto que esa es la libreria que se utiliza para manejar MySQL 4.1.7 en PHP 5 y me ba de lujo!!!

chaito
  #9 (permalink)  
Antiguo 22/11/2004, 05:23
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
El problema es que no toda aplicación está en versión para "PHP 5.x" y "Mysql 4.1.x" .. para que uses MySQLi ..

Con esto no quiere decir que hagas tus desarrollos nuevos para estas versiones de PHP y Mysql .. pero nunca descartes las otras versiones de PHP .. No todo servicio de hosting a la fecha por ejemplo usa Mysql 4.1.x ni PHP 5.x ..

Estaría bueno usar "capas" de abstracción de BD que acepten ambos métodos para trabajar con Mysql .. No lo he revisado .. pero classes como ADOdb por ejemplo es probable que ya lo hagan .. así .. migrar de una versión a otra de PHP y Mysql no sería gran drama.

Un saludo,
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 23:45.